Subject: Re: bug#57636: [PATCH] Recognize zstandard (.zst) suffix in lisp/info.el

From: Sam James <[email-masked]>
Date: Fri, 9 Sep 2022 05:21:27 +0100

> On 8 Sep 2022, at 09:52, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Sam James <[email-masked]>
>> Date: Thu, 8 Sep 2022 04:03:55 +0100
>> Cc: [email-masked]
>> 
>> From f5b4f91e74de2a1b724d978f6ca4f25c78a50389 Mon Sep 17 00:00:00 2001
>> From: Sam James <[email-masked]>
>> Date: Wed, 7 Sep 2022 04:57:33 +0100
>> Subject: [PATCH] Recognize zstandard (.zst) suffix in lisp/info.el
>> 
>> * lisp/info.el (Info-suffix-list): Recognize .zst file extension from the
>> zstd compression tool. This allos reading Info pages compressed with zstandard.
>> 
>> Signed-off-by: Sam James <[email-masked]>
> 
> Thanks, installed on the master branch.
> 
> For the future, please observe some of our coding conventions that in
> this case caused me some manual work while applying the patch:
> 
>  . don't use Signed-off-by, our commit hooks reject that
>  . lines in commit log messages should be shorter than 78 characters
>  . we mention the bug number, when appropriate, in the commit log
> 

Many thanks and I'll keep these notes in mind.

I was struggling a bit with the ChangeLog format
as I've not had to use it much before, so
apologies for the line length issue too.

Appreciate the help & merge!

Best,
sam